require 'vector.lua'

bullet = {}

local image = love.graphics.newImage('bullet.png')

function bullet.new()
	local self = {}

	local position = vector.new(400, 300)
	local speed = 50
	local radian = 0

	self.position = position

	function self.set_radian(val)
		radian = val
	end

	function self.is_off_screen()
		return
			position.x > love.graphics:getWidth() or
			position.y > love.graphics:getHeight() or
			position.x < 0 or
			position.y < 0
	end

	function self.update(dt)
		position.x = position.x + speed * math.cos(radian) * dt
		position.y = position.y + speed * math.sin(radian) * dt
		self.position = position
	end

	function self.draw()
		love.graphics.draw(image, position.x, position.y, 0, 1, 1, image:getWidth() / 2, image:getHeight() / 2)
	end

	return self

end
