require 'bullet.lua'

function love.load()
	bullets = {}
	timer = 0
	radian = 0
end

function love.update(dt)
	local rem_bullets = {}
	-- spawn bullets
	timer = timer + 1 * dt
	if timer >= 0.01 then
		timer = 0
		radian = radian + 0.25
		local b = bullet.new()
		b.set_radian(radian)
		table.insert(bullets, b)
	end
	-- update bullets
	for i, v in ipairs(bullets) do
		v.update(dt)
		if v.is_off_screen() then
			table.insert(rem_bullets, i)
		end
	end
	-- remove bullets
	for _, v in ipairs(rem_bullets) do
		table.remove(bullets, v)
	end
end

function love.draw()
	for _, v in ipairs(bullets) do
		v.draw()
	end
end
